KintsugiKintsugi
API reference / Get products

Get products

GET/v1/products

Retrieve a paginated list of products based on filters and search query.

Authorization

x-api-keystringRequired

Your secret API key. Include it with every request.

x-organization-idstringRequired

Identifies the organization this request acts on.

Query

Every query parameter below is optional. Combine as many as you need and append them to the endpoint as a query string. The example shows a few to get you started.

/v1/products?query=<query>&page=<page>&status__in=<status__in>
querystring

Search term to filter products by name or other details.

status__instring

Filter products by status (comma-separated)

product_category__instring

Filter products by category (comma-separated)

product_subcategory__instring

Filter products by subcategory (comma-separated)

source__instring

Filter products by source (comma-separated)

order_bystring

Order results by specified fields (comma-separated)

pageinteger

Page number

sizeinteger

Page size

Response

itemsProductRead[]Required
totalintegerRequired
pageintegerRequired
sizeintegerRequired
pagesintegerRequired
200

Successfully retrieved products

401

Unauthenticated request.

404

Resource not found

422

Validation error

500

Internal server error

cURL
GET /v1/products?query={query}&page=1&status__in={status__in}
-H "x-api-key: ***"
-H "x-organization-id: ***"
Example request
https://api.trykintsugi.com/v1/products?query={query}&page=1&status__in={status__in}
Response
{
"items": [
{
"external_id": "prod_001",
"code": "CODE_1001",
"name": "Sample Product A",
"description": "This is a sample product description.",
"status": "PENDING",
"product_category": "Physical",
"product_subcategory": "General Clothing",
"tax_exempt": false,
"source": "BIGCOMMERCE",
"connection_id": "conn_12345",
"classification_failed": true,
"id": "prod_abc123"
},
{
"external_id": "prod_002",
"code": "CODE_1002",
"name": "Sample Product B",
"status": "APPROVED",
"product_category": "Services",
"product_subcategory": "Professional Training and Seminar Services",
"tax_exempt": false,
"source": "STRIPE",
"classification_failed": false,
"id": "prod_def456"
}
],
"total": 2,
"page": 1,
"size": 50,
"pages": 1
}